export declare type BuildOptions = {
    authentication?: {
        username: string;
        password: string;
    };
    buildId: string;
    domainRedirects: {
        [key: string]: string;
    };
};
export declare type NextConfig = {
    trailingSlash?: boolean;
};
export declare type DynamicPageKeyValue = {
    [key: string]: {
        file: string;
        regex: string;
    };
};
export declare type ImageConfig = {
    deviceSizes: number[];
    imageSizes: number[];
    loader: "default" | "imgix" | "cloudinary" | "akamai";
    path: string;
    domains?: string[];
};
export declare type ImagesManifest = {
    version: number;
    images: ImageConfig;
};
